

// 1 = true, 0 = false
//#define DEBUG_SHADER	1

// turn this on to inject some velocity in the z axis (collision_io_velocity.inc)
#define INJECT_IO_VELOCITY	0

// turn on to handle gas
#define HANDLE_GAS	1

// remove single interface cells with ONLY FLUID or ONLY GAS neighbors
// they should be removed because there's no way to get beer!
#define REMOVE_LONELY_INTERFACE_CELLS	1

// extra offset to avoid some of the flickering effects
#define EXTRA_OFFSET 0.001

// scale the mass exchange by this factor
//#define MASS_EXCHANGE_FACTOR 1.0
// use 40 for a kind of fake realtime simulation
#define MASS_EXCHANGE_FACTOR 40.0


#ifndef DEBUG
	#define DEBUG "that variable does not exist and thus produces an error - it's reserved by the cpp programs!"
#endif


// flags for cell state
#define FLAGS_GAS		-1.0
#define FLAGS_INTERFACE	0.0
#define FLAGS_FLUID		1.0
#define FLAGS_OBSTACLE	2.0

#define FLAGS_NEW_INTERFACE	-10.0	// GAS to INTERFACE
#define FLAGS_NEW_OBSTACLE	-20.0	// FLUID to INTERFACE
