#if HANDLE_GAS
	/**
	 * reconstruct DF's coming from empty cells
	 * if there are gas cells on both sides (e_i and e_~i) then the standard equilibrium distribution is used
	 */

	vec4 bothGas = flagsGas.grab*flagsGas;	// also opposite cell is a gas cell
	new_densities =	(vec4(1.0)-flagsGas)*new_densities +		// FLUID or INTERFACE (not gas | obstacle)
			flagsGas*
			(
				(vec4(1.0)-bothGas)	*(feq + feq.grab - new_densities.grab) +
				bothGas			*feq
			);

//new_densities =	feq;
#endif
