#include "shader/update_cell_state_fourth_header.inc"

#if DEBUG_SHADER
	if (fluid_fraction.g == -1.0)		fluid_fraction.a = 0.0;	// gas -> black
	else if (fluid_fraction.g == 0.0)	fluid_fraction.a = 2.0;	// interface -> green
	else if (fluid_fraction.g == 1.0)	fluid_fraction.a = 3.0;	// fluid -> blue
	else if (fluid_fraction.g == 2.0)	fluid_fraction.a = 1.0;	// obstacle -> red
	else					fluid_fraction.a = 4.0;	// white -> error
#endif

#if !HANDLE_GAS
	gl_FragData[0] = f;	// performed in header
	gl_FragData[1] = fluid_fraction;
	return;
#endif

	if (fluid_fraction.g > -10.0)
	{
		gl_FragData[0] = f;
		gl_FragData[1] = fluid_fraction;
		return;
	}

	// reconstruct new gas interface cells TODO: from neighbored cells
	f.rgb = f_eq4(texture2DRect(TextureVelocityDensity, pr));

	gl_FragData[0] = f;

#if DEBUG_SHADER
	if (fluid_fraction.g == -10.0)	gl_FragData[1] = vec4(0, 0, 0, 2);	// gas interface cell
	else				gl_FragData[1] = vec4(0, 2, 0, 1);	// obstacle
#else
	if (fluid_fraction.g == -10.0)	gl_FragData[1] = vec4(0, 0, 0, 2);	// gas interface cell
	else				gl_FragData[1] = vec4(0, 2, 0, 1);	// obstacle
#endif
}
