/*
 * This file is part of the Lattice Boltzmann Open Surface program (lbm_os).
 *
 * lbm_os is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * lbm_os is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with lbm_os.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef CBITMAP_HPP
#define CBITMAP_HPP

#include <string>
using namespace std;


class CBitmap24
{
public:
	int width, height;
	char *data;

	bool error;
	string errorLog;

	CBitmap24();
	CBitmap24(int p_width, int p_height);
	~CBitmap24();

//	void loadFromMemory(int width, int height, char* data);
	bool save(string &file);
};

#endif
