/**
 * handle border checks
 * valid if one of the adjacent cells is set to adjacent_check_flag
 * \input	float adjacent_check_flag
 */

if (
	(getFlag(pos.x-1.0, pos.y, pos.z) == adjacent_check_flag)	||
	(getFlag(pos.x+1.0, pos.y, pos.z) == adjacent_check_flag)	||
	(getFlag(pos.x, pos.y-1.0, pos.z) == adjacent_check_flag)	||
	(getFlag(pos.x, pos.y+1.0, pos.z) == adjacent_check_flag)	||
	(getFlag(pos.x, pos.y, pos.z-1.0) == adjacent_check_flag)	||
	(getFlag(pos.x, pos.y, pos.z+1.0) == adjacent_check_flag)	||

	(getFlag(pos.x+1.0, pos.y+1.0, pos.z) == adjacent_check_flag)	||
	(getFlag(pos.x+1.0, pos.y-1.0, pos.z) == adjacent_check_flag)	||
	(getFlag(pos.x-1.0, pos.y+1.0, pos.z) == adjacent_check_flag)	||
	(getFlag(pos.x-1.0, pos.y-1.0, pos.z) == adjacent_check_flag)	||

	(getFlag(pos.x+1.0, pos.y, pos.z+1.0) == adjacent_check_flag)	||
	(getFlag(pos.x+1.0, pos.y, pos.z-1.0) == adjacent_check_flag)	||
	(getFlag(pos.x-1.0, pos.y, pos.z+1.0) == adjacent_check_flag)	||
	(getFlag(pos.x-1.0, pos.y, pos.z-1.0) == adjacent_check_flag)	||

	(getFlag(pos.x, pos.y+1.0, pos.z+1.0) == adjacent_check_flag)	||
	(getFlag(pos.x, pos.y+1.0, pos.z-1.0) == adjacent_check_flag)	||
	(getFlag(pos.x, pos.y-1.0, pos.z+1.0) == adjacent_check_flag)	||
	(getFlag(pos.x, pos.y-1.0, pos.z-1.0) == adjacent_check_flag)
)
