#extension GL_ARB_texture_rectangle : enable

uniform float res_x, res_y, res_z;		// grid resolution
uniform float texture_width, texture_height;	// texture width+height
uniform float inv_texture_width, inv_texture_height;
uniform float inv_res_x, inv_res_y, inv_res_z;
uniform sampler2DRect TextureDepth;

varying vec3 normal;

/**
 * just pass thru the normal and the depth of the point
 */
void main(void)
{
	gl_FragColor = vec4(normal, gl_FragCoord.z);
}
